Cantera 2.6.0

Classes | Namespaces | Macros
IDA_Solver.h File Reference

Header file for class IDA_Solver. More...

`#include "DAE_Solver.h"`
`#include "SundialsContext.h"`
`#include "sundials/sundials_nvector.h"`
Include dependency graph for IDA_Solver.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | IDA_Solver
| Wrapper for Sundials IDA solver. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Macros
#define | IDA_NN 0
#define | IDA_SS 1
#define | IDA_SV 2
#define | IDA_WF 3
#define | REAL_WORKSPACE_SIZE 0

## Detailed Description

Header file for class IDA_Solver.

Definition in file IDA_Solver.h.

## Macro Definition Documentation

## ◆ IDA_NN

#define IDA_NN 0

Definition at line 18 of file IDA_Solver.h.

## ◆ IDA_SS

#define IDA_SS 1

Definition at line 19 of file IDA_Solver.h.

## ◆ IDA_SV

#define IDA_SV 2

Definition at line 20 of file IDA_Solver.h.

## ◆ IDA_WF

#define IDA_WF 3

Definition at line 21 of file IDA_Solver.h.

## ◆ REAL_WORKSPACE_SIZE

#define REAL_WORKSPACE_SIZE 0

Definition at line 23 of file IDA_Solver.h.